=== debian/changelog ===
mcu8051ide (1.3.7-1) unstable; urgency=low

  * Initial release (Closes: #546549)
  * This is my first Debian package.

 -- Fabricio Alcalde <f@lcald.com.ar>  Sun, 04 Jul 2010 17:14:04 +0000
