=== debian/control ===
Source: mcu8051ide
Section: electronics
Priority: extra
Maintainer: Fabricio Alcalde <f@lcald.com.ar>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.0
Homepage: http://mcu8051ide.sourceforge.net/
#Vcs-Git: git://git.debian.org/collab-maint/mcu8051ide.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/mcu8051ide.git;a=summary

Package: mcu8051ide
Architecture: all
Depends: ${misc:Depends}, bwidget (>= 1.8), itcl3 (>> 3.3), tcl8.5, tcllib, tk8.5, libtk-img, tdom (>= 0.8), tclx8.4
Recommends: sdcc, doxygen
Suggests: rxvt-unicode
Description: Integrated development enviroment for MCS-51 based microcontrollers
 MCU 8051 IDE is a tool for developing programs in assembly or C languages
 (with SDCC) for microcontrollers based on industrial standard MCS-51.
 .
 It consist of editor with syntax highlight, auto completion, syntax validation
 and command line; compiler with support for macro-instructions (even 
 macro in macro); simulator/debugger with small hardware simulation; scientific
 calculator, (rich) text editor for writing to do lists, hexadecimal editor and
 many other tools.
