=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	#Nothing to do
	dh_testdir
	touch build-stamp

binary: binary-arch binary-indep

binary-arch: build
	#Nothing to do

binary-indep: build
	dh_testdir
	dh_testroot
	dh_prep
	
	#Install files
	dh_install -Xlicence
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb	

clean:
	dh_testdir
	dh_testroot
	dh_clean

.PHONY: build clean binary-indep binary-arch binary
