=== debian/changelog ===
mcu8051ide (1.4.7-2) unstable; urgency=low

  [ Fabricio Alcalde ]
  * Use tcl-signal instead of tclx.

  [ Andrew Shadura ]
  * Update the launcher script to use Tcl 8.6.
  * Bump the dependencies.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 05 May 2014 01:22:13 +0200

mcu8051ide (1.4.7-1) unstable; urgency=low

  * New upstream release.
  * Fixed spelling error in manpage.

 -- Fabricio Alcalde <f@lcald.com.ar>  Sat, 27 Apr 2013 15:40:07 +0000
