=== debian/control ===
Source: mcu8051ide
Section: electronics
Priority: extra
Maintainer: Fabricio Alcalde <f@lcald.com.ar>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://mcu8051ide.sf.net
#Vcs-Git: git://git.debian.org/collab-maint/mcu8051ide.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/mcu8051ide.git;a=summary

Package: mcu8051ide
Architecture: all
Depends: ${misc:Depends}, bwidget (>= 1.8.0), itcl3, tdom (>= 0.8), tcllib (>= 1.10), tk8.6, tcl-signal, libtk-img
Suggests: rxvt-unicode, sdcc, doxygen, hunspell, make, tclsh
Description: Graphical Integrated Development Environment for 8051
 MCU 8051 IDE is an integrated development environment for microcontrollers
 based on 8051. Supported programming languages are C and assembly. It has
 its own assembler and it supports two other external assemblers. For C 
 language it uses the SDCC compiler.
