=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/mcu8051ide/mcu8051ide-(.*)\.tar\.gz
