=== debian/changelog ===
mcu8051ide (1.4.9-2) unstable; urgency=medium

  * QA upload.

  [ Carlos Henrique Lima Melara ]
  * Use new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/README.source: removed. Not needed since we're using CMake now.
  * debian/control:
    - Add 'Rules-Requires-Root: no' to source stanza
    - Add cmake to Build-Depends field
    - Bump Standards-Version to 4.5.0
    - Change Priority from extra to optional
  * debian/copyright: Migrate to 1.0 format and update data.
  * debian/mcu8051ide.install: removed. Not necessary since we're now using the
    build system provided by the upstream.
  * debian/menu: removed. Debian only uses the .desktop file.
  * debian/patches:
    - Add numeric prefixes to all patches.
    - addlaunchscript.patch: removed. The CMakefile provided by the
      upstream already generates the launch script.
    - 010_fix-desktop-file.patch: update description and add Field code.
    - 030_contacts.patch: add patch description.
    - 040_fix-makefile.patch: fix appstream install location and prevent
      the installation of unneeded files.
    - 050_fix-appdata.patch: change the appdata file to comply with the
      new standard.
  * debian/rules: migrate to the new (reduced) format.
  * debian/watch: bump the version to 4.
  * Include typo fixes in gzipped manpage provided by the upstream.

  [ Andrej Shadura ]
  * d/watch: Use https protocol.
  * d/control: Set Vcs-* to salsa.debian.org.
  * Add gbp.conf.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 08 Jul 2020 20:47:19 +0200

mcu8051ide (1.4.9-1) unstable; urgency=medium

  * New upstream release.
  * Install AppData file.
  * Refresh the desktop file patch.
  * Refresh the Signal patch.
  * Add a patch to replace contacts and the website with the working ones.
  * Update the homepage.
  * Update the copyrights.
  * Set Vcs-* to dgit.
  * Make it clear this package is not maintained.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 08 May 2018 17:12:11 +0200
