=== debian/control ===
Source: mcu8051ide
Section: electronics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 2.6)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/mcu8051ide/
Vcs-Git: https://salsa.debian.org/debian/mcu8051ide.git
Vcs-Browser: https://salsa.debian.org/debian/mcu8051ide

Package: mcu8051ide
Architecture: all
Depends: ${misc:Depends}, bwidget (>= 1.8.0), itcl3, tdom (>= 0.8), tcllib (>= 1.10), tk8.6, tcl-signal, libtk-img
Suggests: rxvt-unicode, sdcc, doxygen, hunspell, make, tclsh
Description: Graphical Integrated Development Environment for 8051
 MCU 8051 IDE is an integrated development environment for microcontrollers
 based on 8051. Supported programming languages are C and assembly. It has
 its own assembler and it supports two other external assemblers. For C
 language it uses the SDCC compiler.
