=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	dh_clean
	# Removes script created by the makefile
	rm -f mcu8051ide
