=== debian/watch ===
version=4
https://sf.net/mcu8051ide/mcu8051ide-(.*)\.tar\.gz
